package com.nhnent.iap.sample.service;

import android.app.Activity;
import android.os.Message;

import com.nhnent.iap.sample.MainEventListener;

public class AuthServiceProvider {
	public static final String TAG = "[AuthServiceProvider]";
    private static AuthEventHandler authEventHandler;
    private static String mUserIdentifier;
    
	public static final void initialize(MainEventListener listener) {
		registListener(listener);
	}
	
	private static final void registListener(MainEventListener listener) {
		authEventHandler = new AuthEventHandler(listener);
	}
    
    public static final void login(final Activity activity, String userId) {
    	mUserIdentifier = userId;
    	authEventHandler.sendMessage(Message.obtain(authEventHandler, AuthEventHandler.AUTH_COMPLETED, mUserIdentifier));
    }
    
    public static final boolean isLogin() {
    	return !(mUserIdentifier == null || mUserIdentifier.equals(""));
    }
    
    public static final String getMemberNo() {
    	return mUserIdentifier;
    }
}
