package com.nhnent.iap.sample.service;

import android.os.Handler;
import android.os.Message;

import com.nhnent.iap.sample.MainEventListener;
import com.toast.android.iap.exception.InAppPurchaseException;

public class IAPEventHandler extends Handler {
	public static final int IAP_ERROR_ACTION = -1;
	public static final int IAP_HANDLE_ITEM_ACTION = 1;
	
	private MainEventListener listener;
	
	public IAPEventHandler(MainEventListener listener) {
		this.listener = listener;
	}
	
	@Override
	public void handleMessage(Message message) {
		switch(message.what) {
			case IAP_ERROR_ACTION:
				listener.onInAppPurchaseException((InAppPurchaseException) message.obj);
				break;
				
			case IAP_HANDLE_ITEM_ACTION:
				listener.updateItemStatus((Integer) message.obj);
			default:
				break;
		}
	}
}
